SystemOrganization addCategory: #'Pier-Jetsam-Debugging'!

Object subclass: #PRDebugging
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Jetsam-Debugging'!

!PRDebugging class methodsFor: 'as yet unclassified' stamp: 'kph 4/22/2008 02:33'!
initialize
 
	 self preferences! !

!PRDebugging class methodsFor: 'as yet unclassified' stamp: 'kph 8/17/2007 07:57'!
categories

	^ #( #'seaside debug' )! !

!PRDebugging class methodsFor: 'as yet unclassified' stamp: 'kph 4/22/2008 02:29'!
preferences
	(self class selectors
		select: [ :each | each ~= #preferences
			and: [ each beginsWith: #pref ] ])
		do: [ :each | self perform: each ]
 ! !

!PRDebugging class methodsFor: 'as yet unclassified' stamp: 'kph 4/22/2008 02:30'!
preferencesDatabase
 	
	Preferences addBooleanPreference: #haltOnDbCommit categories:  self categories default: false balloonHelp: 'Halt when write is made to database (if you have one)'. 
		
	Preferences addBooleanPreference: #dbLogEveryRowReturned categories:  self categories default: false balloonHelp: 'Log everything returned from a db query'.

	Preferences addBooleanPreference: #dbIgnoreDatabase categories:  self categories default: false balloonHelp: 'All database queries return empty collection'.
  ! !

!PRDebugging class methodsFor: 'as yet unclassified' stamp: 'kph 4/22/2008 02:31'!
preferencesDebugErrors
 
	Preferences addBooleanPreference: #helpfulErrors categories: self categories default: false balloonHelp: 'Enable helpful errors. (See senders of #helpfulError:)'.
		
	Preferences addBooleanPreference: #haltOnForbidden categories:  self categories default: false balloonHelp: 'Halt when user accesses a forbidden page'.
			

 ! !

!PRDebugging class methodsFor: 'as yet unclassified' stamp: 'kph 4/22/2008 02:32'!
preferencesPierMagritte
 
	Preferences addBooleanPreference: #debugInvalidLogin categories:  self categories default: false balloonHelp: 'Halt when pier login is invalid'.
	
	Preferences addBooleanPreference: #debugPierFormErrors categories:  self categories default: false balloonHelp: 'Halt when pier form validaton error occurs'.
	
	Preferences addBooleanPreference: #ignoreKindValidation categories:  self categories default: false balloonHelp: 'Ignore Magritte Kind Validation'.


 ! !
PRDebugging initialize!
